<div id="settings">
  <div class="d-flex align-center justify-space-between">
    <div class="d-flex align-center">
      <p class="mb-0 h6 black--text">Settings</p>
    </div>
    <div>
      <v-btn
        color="#076CE3"
        class="elevation-0"
        :disabled="loading"
        @click="onUpdateSetting()"
      >
        <v-progress-circular
          indeterminate
          color="#076CE3"
          v-if="loading"
          size="22"
        >
        </v-progress-circular>
        <div class="d-flex align-center" v-else>
          <v-icon color="#ffffff"> mdi-upload </v-icon>
          <p class="ml-2 mb-0 fsize-16 text-capitalize white--text">Save</p>
        </div>
      </v-btn>
    </div>
  </div>
  <v-row>
    <v-col cols="12" sm="6" class="px-3">
      <v-card class="pa-3 pa-sm-6 mt-5 ui-card">
        <v-skeleton-loader
          class="mx-auto my-4"
          width="100%"
          type="card"
          v-if="loadingTable"
        >
        </v-skeleton-loader>
        <v-row no-gutters v-else>
          <v-col cols="12">
            <p class="mb-0 fsize-18 contentLightPrimary">Shop</p>
            <span class="mt-1 colorGreyHeaderTable fsize-13 font-weight-light">
              Customer will contact you via this information.
            </span>
          </v-col>
          <v-col cols="12" sm="12">
            <v-row no-gutters>
              <v-col cols="12" sm="3" class="d-flex align-center py-3">
                <p class="mb-0 fsize-16 font-weight-bold">Server IP:</p>
              </v-col>
              <v-col cols="12" sm="9" class="pa-lg-3">
                <div id="hideBottomInput">
                  <v-text-field
                    dense
                    outlined
                    placeholder="Enter your server ip"
                    v-model.trim="settings.ipServer"
                  >
                  </v-text-field>
                </div>
              </v-col>
              <v-col cols="12" sm="3" class="d-flex align-center py-3">
                <p class="mb-0 fsize-16 font-weight-bold">Sendgrid Key:</p>
              </v-col>
              <v-col cols="12" sm="9" class="pa-lg-3">
                <div id="hideBottomInput">
                  <v-text-field
                    dense
                    outlined
                    placeholder="Enter your sendgrid key"
                    v-model.trim="settings.sendgridApikey"
                  >
                  </v-text-field>
                </div>
              </v-col>
              <v-col cols="12" sm="3" class="d-flex align-center py-3">
                <p class="mb-0 fsize-16 font-weight-bold">Zero SSL Key:</p>
              </v-col>
              <v-col cols="12" sm="9" class="pa-lg-3">
                <div id="hideBottomInput">
                  <v-text-field
                    dense
                    outlined
                    placeholder="Enter your zero ssl key"
                    v-model.trim="settings.zerosslKey"
                  >
                  </v-text-field>
                </div>
              </v-col>
              <!-- <v-col cols="12" sm="3" class="d-flex align-center py-3">
                <p class="mb-0 fsize-16 font-weight-bold">
                  17Track Secret Key:
                </p>
              </v-col>
              <v-col cols="12" sm="9" class="pa-lg-3">
                <div id="hideBottomInput">
                  <v-text-field dense outlined placeholder="Enter your 17Track Secret Key"
                    v-model.trim="settings.seventeenTrackKey">
                  </v-text-field>
                </div>
              </v-col> -->
              <v-col cols="12" sm="3" class="d-flex align-center py-3">
                <p class="mb-0 fsize-16 font-weight-bold">Timezone:</p>
              </v-col>
              <v-col cols="12" sm="9" class="pa-lg-3">
                <div id="hideBottomInput">
                  <v-select
                    dense
                    outlined
                    v-model="settings.timezone"
                    :items="listTimezone"
                    item-text="name"
                    item-value="value"
                  >
                  </v-select>
                </div>
              </v-col>
            </v-row>
          </v-col>
        </v-row>
      </v-card>
    </v-col>
  </v-row>
</div>
